3v4l.org

run code in 300+ PHP versions simultaneously
<?php interface Collection { } interface Geocoder { public function geocode(): Collection; } class MyCollection implements Collection { } class MyGeocoder implements Geocoder { public function geocode(): MyCollection { return new MyCollection(); } } class Consumer { public function __construct(MyGeocoder $gecoder) { // } }
Output for 7.4.0 - 7.4.33, 8.0.0 - 8.0.30, 8.1.0 - 8.1.29, 8.2.0 - 8.2.20, 8.3.0 - 8.3.8
Output for 7.0.0 - 7.0.20, 7.1.0 - 7.1.33, 7.2.0 - 7.2.33, 7.3.0 - 7.3.33
Fatal error: Declaration of MyGeocoder::geocode(): MyCollection must be compatible with Geocoder::geocode(): Collection in /in/kv9pn on line 16
Process exited with code 255.
Output for 5.6.0 - 5.6.27
Parse error: syntax error, unexpected ':', expecting ';' or '{' in /in/kv9pn on line 9
Process exited with code 255.

preferences:
189.64 ms | 402 KiB | 225 Q